Subject: Re: bug#5655: incorrect paths for crt1.o, crtn.o, etc.

From: Dan Nicolaescu <[email-masked]>
Date: Mon, 26 Apr 2010 13:33:10 -0400

Glenn Morris <[email-masked]> writes:

> Dan Nicolaescu wrote:
>
>> One more thing: can src/s/gnu-linux.h be changed to use $(CRT_DIR),
>> that would avoid the need to special case GNU_LINUX in the src/m/* files...
>
> Sorry, I don't understand the proposal; but CRT_DIR == /usr/lib in the
> majority of cases. It can only be different on x86_64-*-linux-gnu* or
> s390x-*-linux-gnu* systems. So you should feel free to replace
> /usr/lib by $CRT_DIR anywhere else basically.

What I am saying is that if 

src/s/gnu-linux.h 
would use $(CRT_DIR)
then src/m/amdx86-64.h would not need special casing for GNU_LINUX.

> It would be nice to move all the crt*.o logic entirely to configure
> (and so make the --with-crt-dir option work the same on all
> platforms), but I don't know how to replicate the logic of m/sparc.h
> and m/macppc.h in configure.in.

${canonical} should be sparc64-* for the 64 bit case, versul sparc-* for the 32 bit one.
Same for powerpc.
Alternatively, less clean, but maybe easier to do: the same trick used for
c_switch_machine could be used for LIB_STANDARD/START_FILES.